# Method: projects.locations.registrations.patch

- [HTTP request](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/patch#try-it)

Updates select fields of a `Registration` resource, notably `labels`. To update other fields, use the appropriate custom update method:

- To update management settings, see `registrations.configureManagementSettings`
- To update DNS configuration, see `registrations.configureDnsSettings`
- To update contact information, see `registrations.configureContactSettings`

### HTTP request

`PATCH https://domains.googleapis.com/v1/{registration.name=projects/*/locations/*/registrations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `registration.name` | `string` Output only. Name of the `Registration` resource, in the format `projects/*/locations/*/registrations/<domainName>`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The field mask describing which fields to update as a comma-separated list. For example, if only the labels are being updated, the `updateMask` is `"labels"`. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations#Registration`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/domains/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).